[Contents] [Prev] [Next] [Index] [Report an Error]

# Configuring Simple Shared Shaper Algorithm Variables

To configure the variables for all simple shared shapers on the router:

1. Enter QoS Shared Shaper Control Configuration mode.
   `
   host1(config)#qos-shared-shaper-control
   host1(config-qos-shared-shaper-control)#
   `
2. (Optional) Configure the convergence factor for all simple shared shapers on the router.
   `
   host1(config-qos-shared-shaper-control)#convergence-factor 25
   `

   The convergence factor determines how quickly the dynamic shaping rate converges with the calculated dynamic shaping rate, and is expressed as a percentage of the available bandwidth.

   The range for the convergence factor is 0–99 percent, with 0 being the most liberal and 99 the most conservative. The default value is 50.

3. (Optional) Configure the specify the reaction factor for all simple shared shapers on the router.
   `
   host1(config-qos-shared-shaper-control)#reaction-factor 50
   `

   The reaction factor determines how the shared shaper reacts to changes in the measured rate.

   The range for the reaction factor is 0–1000; 0 is the most liberal and 1000 is the most conservative. The default value is 200.

4. (Optional) Specify the minimum value of the dynamic shaping rate as a percentage of the shared shaping rate for all simple shared shapers on the router.
   `
   host1(config-qos-shared-shaper-control)#minimum-dynamic-rate-percent 50
   The range for the minimum dynamic rate value is 0–100 percent. The default value is 0.
   `
5. (Optional) Configure a maximum value for the virtual output queue length (VOQL) for all simple shared shapers on the router.
   `
   host1(config-qos-shared-shaper-control)#maximum-voql 25
   `

   The VOQL tracks the amount of data over queued between simple shared-shaper rate periods.

   The range for the maximum VOQL value is 0–10000 milliseconds (ms). The default value is 4000.

#### Related Topics

- Simple Shared Shaping Algorithm Overview
- Variables of the Simple Shared Shaper Algorithm
- Guidelines for Controlling the Simple Shared Shaper Algorithm
- Sample Process for Controlling the Simple Shared Shaper Algorithm
- Configuring Simple Shared Shaping
- convergence-factor command
- maximum-voql command
- minimum-dynamic-rate-percent command
- qos-shared-shaper-control command
- reaction-factor command

[Contents] [Prev] [Next] [Index] [Report an Error]